# POST /billing/sources URL: https://developers.vsee.io/api/payment-api/post/billing/sources Auth: User Token — Requires a user access token from login or SSO. Add payment source Add a new payment source to user account Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - room_code (query, string, required) — Room code to scope the payment source - provider_id (query, string, optional) — Provider ID (optional) to scope the payment source Request body (application/json): - type (string, required) — Payment type (e.g. 'card') - token (string, required) — Token from Stripe Example request: ```json { "type": "string", "token": "string" } ``` Responses: - 200 — Successful creation ```json { "data": { "id": "card_19DrgXBY2jn2BCqQNpjjzuay", "type": "card", "brand": "Visa", "exp_month": 8, "exp_year": 2017, "last4": "4242", "is_default": true } } ```